Retrieve a summary of all proof-of-address check-ins for a user
GET/api/users/:userId/proof-of-address/checkin-summary
Retrieve a summary of all proof-of-address check-ins for a vehicle.
Request
Path Parameters
Responses
- 200
- 401
- 403
- 404
- 500
A summary of proof-of-address check-in information about the user.
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
checkins
object[]
List of all check-ins
Id of the check-in
Type of the check-in
Status of the check-in
Timestamp of the check-in
Admin generated note. Usually used for on-hold or declined check-ins
reward
object
Reward associated with the check-in
Id of the reward
Possible values: [Pending, Confirmed, Declined, Claimed, All]
Status of the reward
Date on which reward was created
address
object
Address
Street Address Line 1
City
2 Letter State Code
2 Letter Country Code
Zip
Latitude at which photo was taken
Longitude at which photo was taken
Is a check-in unlocked.
If the check-in is unlocked, the time at which it was unlocked.
Number of days to next check-in.
Reward for next check-in based on current campaign setup.
Bonus for home photos for next check-in based on current campaign setup.
The ordinal of the last confirmed check-in. 0 represents no confirmed check-ins
[
{
"checkins": [
{
"id": "string",
"checkInType": "string",
"status": "string",
"checkinDate": "string",
"adminNote": "string",
"reward": {
"id": "string",
"status": "Pending",
"dateRewarded": "string",
"amount": 0
},
"address": {
"addressLine1": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string",
"latitude": 0,
"longitude": 0
}
}
],
"checkinUnlocked": true,
"unlockDate": "string",
"daysToNextCheckin": 0,
"rewardAmountForNextCheckin": 0,
"photoBonusForNextCheckin": 0,
"lastConfirmedOrdinal": 0
}
]
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}